CREATE INDEX IX_DELAVCI_ID_STORITVE ON DELAVCI (ID_STORITVE);

DROP VIEW V_DELAVCI;

CREATE OR REPLACE VIEW V_DELAVCI AS (
	SELECT D.ID_DELAVCI, D.ID_STORITVE, D.SIFRA, D.DATUM, D.STEVILO_UR, D.HOURS_PLANNED, D.KOMENTAR, D.HOUR_FROM_PLANNED, D.ID_TIPSERVIS,
  MS.ID_DN, MNS.OPIS AS NNSTOMAR_OPIS, ND.OPIS AS NNDELAVC_OPIS, ND.INTERNI_OPIS AS NNDELAVC_INTERNI_OPIS, ND.PRICE AS NNDELAVC_PRICE, ND.TYPE AS NNDELAVC_TYPE, ND.NNLOCATION_ID AS NNDELAVC_NNLOCATION_ID, ND.ID AS NNDELAVC_ID, 
  TS.OPIS AS TIPSERVIS_OPIS, TS.INTERNAL AS TIPSERVIS_INTERNAL, MT.ID_MAINTENANCE_TASK AS MAINTENANCE_TASK_ID, MT.ID_CHECKLIST AS MAINTENANCE_TASK_ID_CHECKLIST,
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') AS DATE_FROM_PLANNED,
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') + D.HOURS_PLANNED/24 AS DATE_TO_PLANNED,
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') AS DATE_FROM_ACTUAL,
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') + D.STEVILO_UR/24 AS DATE_TO_ACTUAL
  FROM DELAVCI D
  LEFT OUTER JOIN M_STORITVE MS ON MS.ID_STORITVE = D.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR MNS ON MNS.SIFRA = MS.STORITEV
  LEFT OUTER JOIN NNDELAVC ND ON ND.SIFRA = D.SIFRA
  LEFT OUTER JOIN TIPSERVIS TS ON TS.SIFRA = D.ID_TIPSERVIS
  LEFT OUTER JOIN MAINTENANCE_TASK MT ON MT.ID_STORITVE = D.ID_STORITVE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1526, SYSDATE, '5.5', 1446, 'VDelavci')
;
