CREATE TABLE SERVICE_FEE (
ID_SERVICE_FEE NUMBER NOT NULL,
DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
SERVICE_CODE VARCHAR2(30 CHAR) NOT NULL,
SERVICE_PERCENTAGE NUMBER,
CONSTRAINT PK_SERVICE_FEE PRIMARY KEY(ID_SERVICE_FEE)
)
;

CREATE SEQUENCE SERVICE_FEE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE SERVICE_FEE_DETAIL (
ID_SERVICE_FEE_DETAIL NUMBER NOT NULL,
ID_SERVICE_FEE NUMBER NOT NULL,
SERVICE_CODE VARCHAR2(30 CHAR) NOT NULL,
CONSTRAINT PK_SERVICE_FEE_DETAIL PRIMARY KEY(ID_SERVICE_FEE_DETAIL)
)
;

CREATE SEQUENCE SERVICE_FEE_DETAIL_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE UNIQUE INDEX SERVICE_FEE_DETAIL_IX1 ON SERVICE_FEE_DETAIL(ID_SERVICE_FEE, SERVICE_CODE)
;

ALTER TABLE SERVICE_FEE
ADD AUTO_INSERT VARCHAR2(1 CHAR) DEFAULT 'Y'
;

CREATE OR REPLACE VIEW V_SERVICE_FEE AS
SELECT S.*, SN.OPIS AS SERVICE
FROM SERVICE_FEE S 
LEFT OUTER JOIN M_NNSTOMAR SN ON S.SERVICE_CODE=SN.SIFRA
;

UPDATE M_NNKATEG
SET DATE_RANGE_CATEG='Y'
WHERE DATE_RANGE_CATEG IS NULL AND SIFRA_SKLOPA IN (SELECT DISTINCT K.SIFRA_SKLOPA FROM M_NNKATEG K WHERE K.DATUM_OD IS NOT NULL AND K.NIVO>1)
;

UPDATE M_NNKATEG
SET DATE_RANGE_CATEG='N'
WHERE DATE_RANGE_CATEG IS NULL AND SIFRA_SKLOPA NOT IN (SELECT DISTINCT K.SIFRA_SKLOPA FROM M_NNKATEG K WHERE K.DATUM_OD IS NOT NULL AND K.NIVO>1)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1760, SYSDATE, '5.5', 1680, 'Service fee')
;
